> For the complete documentation index, see [llms.txt](https://docs.miniton.games/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.miniton.games/developer-success/miniton-gaming-sdk/reporting-game-data-api.md).

# Reporting Game Data API

Report the match score

<mark style="color:green;">`POST`</mark> `https://api.miniton.games/api/v2/match/data_report`

#### Request Body

<table><thead><tr><th>Name</th><th width="77">Type</th><th data-type="checkbox">Signature Verification</th><th>Description</th></tr></thead><tbody><tr><td>game_id<mark style="color:red;">*</mark></td><td>Integer</td><td>true</td><td>ID of the game</td></tr><tr><td>match_token<mark style="color:red;">*</mark></td><td>String</td><td>true</td><td>Token associated with the ongoing match.</td></tr><tr><td>user_ticket<mark style="color:red;">*</mark></td><td>String</td><td>true</td><td>Ticket identifying the user.</td></tr><tr><td>taste</td><td>Integer</td><td>true</td><td>is this a trial game?(can be passed by <code>init</code> fuction</td></tr><tr><td>action<mark style="color:red;">*</mark></td><td>String</td><td>true</td><td><p>Action to be performed</p><p>start_game</p><p>start_match</p><p>score</p><p>end_match</p><p>end_game</p></td></tr><tr><td>score<mark style="color:red;">*</mark></td><td>Integer</td><td>true</td><td>Current player score<br>Must be provided when the action is "score" or "end_match"; default is 0</td></tr><tr><td>auth_date<mark style="color:red;">*</mark></td><td>Integer</td><td>true</td><td>Timestamp for data validation.</td></tr><tr><td>auth_sign<mark style="color:red;">*</mark></td><td>String</td><td>false</td><td>Data validation <a href="https://app.gitbook.com/o/CXkUmAs79znG2uuEKaou/s/9ds1jMNJJ1CgwgNYqr00/~/changes/77/developer-success/miniton-gaming-sdk/how-to-verify-your-signature">signature</a></td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK Success" %}
"msg": "Success"
{% endtab %}
{% endtabs %}

#### **Request Example**

```javascript
{
    "body": {
        "game_id": 1,
        "match_token": "47AD1ED23DB1407720049D586C727C3B",
        "user_ticket": "1843BBAEBC83DDB0E45E378BA37014A9",
        "action": "report_score",
        "score": 5,
        "auth_date": 1704816000,
        "auth_sign": ""
    }
}
```

**Parameter** [**Signature Verification**](/developer-success/miniton-gaming-sdk/how-to-verify-your-signature.md)

#### Response **Example**

```javascript
{
    "code": 200,
    "msg": "Success",
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.miniton.games/developer-success/miniton-gaming-sdk/reporting-game-data-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
